<?php include('fncr-geral/configuracao_geral.php');
$pagina = "mybd";
$blq_pag = "funcoes_mysql";
include('fncr-geral/permissoes_restricao.php');
if($usuario_id!=1 || $usuario_nivel!=1) exit;

// Listando BDs de clubes ativos e inativos
if(isset($_POST['gerar']) && $_POST['gerar'] == 'cod' or
   isset($_POST['ativar']) && $_POST['ativar'] == 'sql_script' ) {

  $sql = $_POST['sql'];

  $sql_clubes = $bd->getConexao()->prepare('
  SELECT clubes_configuracao.*, clubes.nome, clubes.status
  FROM clubes_configuracao
    LEFT JOIN clubes on clubes.id = clubes_configuracao.id_clube
  WHERE
    link_sistema is not null AND bd is not null AND
    link_sistema != "" AND bd != ""
    AND clubes.painel_representante = 0
  GROUP BY clubes_configuracao.bd
  ORDER BY status DESC, nome ASC');
  if( $sql_clubes->execute() ) { $resul_clubes = $sql_clubes->fetchall(PDO::FETCH_ASSOC);}

}


$qtd_dbs = 0;



// EXIBINDO CLUBES QUE RECEBERÃO O SCRIPT
if(isset($_POST['gerar']) && $_POST['gerar'] == 'cod' ) {
  $resul_script='';
  $status=0;

  if($sql!=""){
    foreach($resul_clubes as $l){
      if($status!=$l['status']){$resul_script.='<br>';$status=$l['status'];}
      if(substr($l['bd'], 0, 3)=="pw_"){
        if($l['status']==1){
          $resul_script.= 'Inativo - '.$l['nome'].'<br>';
        }else{
          if($l['status']==9){
            $resul_script.= '<strong>SISTEMA</strong> - '.$l['nome'].'<br>';
          }else{
            $resul_script.= 'ATIVO - '.$l['nome'].'<br>';
          }
        }
        $qtd_dbs++;
      }
    }
  }else{
    $resul_script = 'SCRIPT EM BRANCO';
  }

}



// RODANDO SCRIPTS PARA OS CLUBES
if(isset($_POST['ativar']) && $_POST['ativar'] == 'sql_script' ) {
  $resul_script='';
  $status=0;

  $db_padrao_backup = DEVELOPER ? 'pw_clube' : 'pw_0int_bdinit';

  function containsWords($sentence, $words) {
    $sentence = strtolower($sentence);
    foreach ($words as $word) {
      $word = strtolower($word);
      if (strpos($sentence, $word) !== false) {
        return true;
      }
    }
    return false;
  }
  $bloqList = ["DELETE", "TRUNCATE", "UPDATE"];
  $bloqResult = containsWords($sql, $bloqList);

  if($sql!="" && !$bloqResult){

    array_unshift($resul_clubes, array(
      'bd'=>$db_padrao_backup,
      'status'=>9,
      'nome'=>"BACKUP",
    ));

    foreach($resul_clubes as $l){
      try{
        /* // ACESSO PARA BD EXTERNO (FORA DA POKERWER)
        if($l['bd_host']!=""){
          $bdclube = new ConeccaoClube($l['bd'],$l['bd_usuario'],$l['bd_senha'],$l['bd_host']);
        }else{
          $bdclube = new ConeccaoClube($l['bd']);
        }
        */

        if(substr($l['bd'], 0, 3)=="pw_" && substr($l['bd'], 0, 8)!="'pw_0rep_"){

          $bdclube = new ConeccaoClube($l['bd']);
          if($bdclube && $bdclube->getConexao()){
            $bdclube->getConexao()->exec("set names utf8");

            $sql_exec = $bdclube->getConexao()->prepare($sql);
            if( $sql_exec->execute() );

            if($l['status']==1){
              $resul_script.= 'Inativo - '.$l['nome'].' - <strong>OK</strong><br>';
            }else{
              if($l['status']==9){
                $resul_script.= '<strong>SISTEMA</strong> - '.$l['nome'].' - <strong>OK</strong><br>';
              }else{
                $resul_script.= 'ATIVO - '.$l['nome'].' - <strong>OK</strong><br>';
              }
            }
          }else{ $resul_script.= '<br>'.$status.$l['nome'].'<br><strong>ERRO:</strong> NÃO EXISTE<br><br>'; }

          $qtd_dbs++;
        }
      }catch(PDOException $e){ $resul_script.= '<br>'.$status.$l['nome'].'<br><strong>ERRO:</strong> '.$e->getMessage().'<br><br>'; }
    }

  }else{
    $resul_script = 'SCRIPT EM BRANCO OU INVÁLIDO';
  }

}







?>
<!DOCTYPE html>
<html lang="pt-br">
<head>

  <?php include('fncr-geral/html-head.php');?>

<style>
  input[type=checkbox] {
    visibility: hidden;
  }
</style>

</head>
<body>

  <!-- BARRA SUPERIOR -->
  <?php include('barra-sup.php');?>
  <!-- MENU PRINCIPAL -->
  <?php include('menu.php');?>

<section id="content">

<div class="clearfix padder bg-fncr-clearfix">
<h3 class="m-b">MySql - Script para Atualiza&ccedil;&atilde;o</h3>
</div>

<section id="content" class="content-sidebar bg-white">
<section class="main">

<!-- MENSAGENS DE ALERTA -->
<?php include('fncr-geral/mensagens.php');?>

  <form class="form-horizontal" method="post" action="" data-validate="parsley" enctype="multipart/form-data">
  <input type="hidden" name="gerar" value="cod" />
    <div class="col-sm-6">
      <div class="form-group col-lg-12">
        <div class="col-lg-12">
          <textarea rows="15" name="sql" class="form-control" data-trigger="keyup" style="margin-bottom: 15px"></textarea>
          <button type="submit" class="btn btn-primary pull-left">Gerar</button>
        </div>
        <?php if(isset($qt) && $qt>0){
          echo '<div class="col-lg-12 pull-right">Sql gerado para '.$qt.' Clubes</div>';
        }?>
      </div>
    </div>
  </form>

  <div class="col-sm-6">
    <?php
      if(isset($_POST['gerar']) && $_POST['gerar'] == 'cod'){
        if($sql!=""){
    ?>
      <form class="form-horizontal" method="post" action="" data-validate="parsley" enctype="multipart/form-data">
      <input type="hidden" name="ativar" value="sql_script" />
      <input type="hidden" name="sql" value="<?php echo $sql ?>" />
        O seguinte c&oacute;digo ser&aacute; executado:<br><br>
        <strong style="font-size: 14px"><?php echo $sql ?></strong><br><br>
        <button type="submit" class="btn btn-primary btn-xs pull-left" data-loading-text="Rodando Script...">ATIVAR SCRIPT</button><br><br><br>
        BDS (agrupados): <strong><?php echo count($resul_clubes) ?></strong><br>
        Para <strong><?php echo $qtd_dbs ?> BDs</strong>:<br>
        <?php echo $resul_script ?>
      </form>
    <?php }else{ echo $resul_script; } } ?>
    <?php if(isset($output)){ ?>
      <div style="margin: 30px 0">ARQUIVO SQL ATUALIZADO:<br><?php foreach ($output as $l){echo $l.'<br>';}?></div>
    <?php } ?>
    <?php if(isset($_POST['ativar']) && $_POST['ativar'] == 'sql_script'){ echo $resul_script; }?>
    <br><br>
  </div>

</section>
</section>
</section>

<!-- FOOTER -->
<?php include('footer.php');?>

<!-- app -->
<script src="js/app.js"></script>
<script src="js/app.plugin.js"></script>
<script src="js/app.data.js"></script>

</body>
</html>
<?php $bd = null; $bd_fn = null;?>